SimpleChooserOption::arguments Class Reference

Extra arguments for single chooser option. More...

`#include <ql/experimental/exoticoptions/simplechooseroption.hpp>`

Inheritance diagram for SimpleChooserOption::arguments:
[legend]

## Public Member Functions

void | validate () const
Public Member Functions inherited from Option::arguments
void | validate () const

## Public Attributes

Date | choosingDate
Public Attributes inherited from Option::arguments
ext::shared_ptr< Payoff > | payoff
ext::shared_ptr< Exercise > | exercise

## Detailed Description

Extra arguments for single chooser option.